      SUBROUTINE EDGES(C,IMX,JMX)
      implicit none
C     ****
C     ****     INSERT EQUATORIAL AND POLAR BOUNDARY CONDITIONS IN
C     ****       STENCIL C(IMX,JMX,9)
C     ****
! Args:
      integer,intent(in) :: imx,jmx
      real,intent(out) :: C(IMX,JMX,*)
!
! Local:
      integer :: n,i
C     ****
C     ****     POLE
C     ****
      DO 2 N = 1,8
        DO 2 I = 1,IMX
          C(I,JMX,N) = 0.
    2 CONTINUE
      DO 3 I = 1,IMX
        C(I,JMX,9) = 1.
    3 CONTINUE
      RETURN
      END
